summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xtest/integration/run-tests3
1 files changed, 2 insertions, 1 deletions
diff --git a/test/integration/run-tests b/test/integration/run-tests
index 3dcacc7bd..80f1fc61d 100755
--- a/test/integration/run-tests
+++ b/test/integration/run-tests
@@ -114,7 +114,8 @@ removesigninghome() {
GNUPGHOME="${APT_TEST_SIGNINGHOME}" gpgconf --kill gpg-agent >/dev/null 2>&1 || true
rm -rf -- "$APT_TEST_SIGNINGHOME"
}
-trap "removesigninghome; exit 0" 0 HUP INT QUIT ILL ABRT FPE SEGV PIPE TERM
+trap "exit 1" 0 HUP INT ILL ABRT FPE SEGV PIPE TERM
+trap "removesigninghome" 0 QUIT
export APT_TEST_SIGNINGHOME
TOTAL="$(echo "$TESTLIST" | wc -l)"